Agara

Merge a complete set into collateral

POST
/trade/v1/portfolio/positions/merge

Authorization

Authorization
Required
Bearer <token>

Personal access token issued from the web app's Settings → API tokens page. Send as Authorization: Bearer agt_….

In: header

Scope: positions:merge

Request Body

application/jsonRequired

condition_id
Required
string

Market condition id.

shares_micro
Required
string

Share amount in micro units.

Format: "int64"
curl -X POST "https://app.agara.xyz/trade/v1/portfolio/positions/merge" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "condition_id": "0x21742633143463906290569050155826241533067272736897614950488156847949938836455",
    "shares_micro": "1000000"
  }'

AGARA: merge accepted; poll GET /trade/v1/batches/{batch_hash} for settlement.

{
  "as_of": "2019-08-24T14:15:22Z",
  "batch_hash": "string",
  "status": "string"
}